# Cmake Demo

Requirements:
- CubeCLT must be installed

This is a cmake demo for the sta-core/rtos2-utils/TACOS setup that is used in TACOS projects. The actual project is the RRES software because idk...


To build this:

```bash 
cmake -S . -B build -G"Unix Makefiles" -DCMAKE_BUILD_TYPE=Release -DCMAKE_EXPORT_COMPILE_COMMANDS=1 -DSTM32_CUBE_F4_PATH=[YOUR_PATH_TO_STM32_CUBE_F4]
cmake --build build
```

My `STM32_CUBE_F4_PATH` on MacOS is: `/var/root/STM32Cube/Repository/STM32Cube_FW_F4_V1.28.1` and on MacOS I had to configure and build using sudo since var is protected.

Code generation can be done through CubeMX (Note that we only use the core as the drivers are loaded via cmake from an existing toolchain) and flashing through CubeProgrammer or CubeCLI. 

### *OR*

Use the `STM32 VS Code Extension` and hit import CMake Project. In this case I already did it, hence the `.vscode` folder.

Now all you have to do is adjust the `STM32_CUBE_F4_PATH` setting in your `CMakePresets.json` to your needs and hit build.